# Game QA workflow: test-review
name: gametest-test-review
description: "Review test quality, coverage, and identify gaps in game testing"
author: "BMad"

# Critical variables from config
config_source: "{project-root}/_bmad/bmgd/config.yaml"
output_folder: "{config_source}:output_folder"
user_name: "{config_source}:user_name"
communication_language: "{config_source}:communication_language"
document_output_language: "{config_source}:document_output_language"
date: system-generated

# Workflow components
installed_path: "{project-root}/_bmad/bmgd/workflows/gametest/test-review"
instructions: "{installed_path}/instructions.md"
validation: "{installed_path}/checklist.md"
template: "{installed_path}/test-review-template.md"

# Variables and inputs
variables:
  review_scope: "full" # full, targeted, quick
  game_engine: "auto" # auto, unity, unreal, godot

# Output configuration
default_output_file: "{output_folder}/test-review-report.md"

# Required tools
required_tools:
  - read_file
  - write_file
  - list_files
  - search_repo
  - glob

tags:
  - qa
  - review
  - coverage
  - quality
  - maintenance

execution_hints:
  interactive: false
  autonomous: true
  iterative: true

web_bundle: false
